OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_NodalResults Class Reference

defines NodalResults, Type <146>
in package IGESAppli
Used to store the Analysis Data results per FEM Node

`#include <IGESAppli_NodalResults.hxx>`

Inheritance diagram for IGESAppli_NodalResults:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_NodalResults ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Standard_Integer aNumber, const Standard_Real aTime, const Handle(TColStd_HArray1OfInteger)&allNodeIdentifiers, const Handle(IGESAppli_HArray1OfNode)&allNodes, const Handle(TColStd_HArray2OfReal)&allData)
| This method is used to set the fields of the class NodalResults - aNote : General Note that describes the analysis case - aNumber : Analysis Subcase number - aTime : Analysis time - allNodeIdentifiers : Node identifiers for the nodes - allNodes : List of FEM Node Entities - allData : Values of the Finite Element analysis result data raises exception if Lengths of allNodeIdentifiers, allNodes and allData (Cols) are not same .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes the FormNumber (which indicates Type of Result) Error if not in range [0-34] .
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns the General Note Entity that describes the analysis case
Standard_EXPORT Standard_Integer | SubCaseNumber () const
| returns zero if there is no subcase
Standard_EXPORT Standard_Real | Time () const
| returns the Analysis time value for this subcase. It is the time at which transient analysis results occur in the mathematical FEM model.
Standard_EXPORT Standard_Integer | NbData () const
| returns number of real values in array V for a FEM node
Standard_EXPORT Standard_Integer | NbNodes () const
| returns number of FEM nodes for which data is to be read.
Standard_EXPORT Standard_Integer | NodeIdentifier (const Standard_Integer Index) const
| returns FEM node number identifier for the (Index)th node raises exception if Index <= 0 or Index > NbNodes
Standard_EXPORT Handle_IGESAppli_Node | Node (const Standard_Integer Index) const
| returns the node as specified by the Index raises exception if Index <= 0 or Index > NbNodes
Standard_EXPORT Standard_Real | Data (const Standard_Integer NodeNum, const Standard_Integer DataNum) const
| returns the finite element analysis result value raises exception if (NodeNum <= 0 or NodeNum > NbNodes()) or if (DataNum <=0 or DataNum > NbData())
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDimen_GeneralNote | theNote
Standard_Integer | theSubCaseNum
Standard_Real | theTime
Handle_TColStd_HArray1OfInteger | theNodeIdentifiers
Handle_IGESAppli_HArray1OfNode | theNodes
Handle_TColStd_HArray2OfReal | theData

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_NodalResults::IGESAppli_NodalResults | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESAppli_NodalResults::Data | ( | const Standard_Integer | NodeNum,
|  | const Standard_Integer | DataNum
| ) | const

Standard_EXPORT const IGESAppli_NodalResults::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_NodalResults::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Standard_Integer | aNumber,
|  | const Standard_Real | aTime,
|  | const Handle(TColStd_HArray1OfInteger)& | allNodeIdentifiers,
|  | const Handle(IGESAppli_HArray1OfNode)& | allNodes,
|  | const Handle(TColStd_HArray2OfReal)& | allData
| ) |

Standard_EXPORT Standard_Integer IGESAppli_NodalResults::NbData | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_NodalResults::NbNodes | ( |  | ) | const

Standard_EXPORT Handle_IGESAppli_Node IGESAppli_NodalResults::Node | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_NodalResults::NodeIdentifier | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESAppli_NodalResults::Note | ( |  | ) | const

Standard_EXPORT void IGESAppli_NodalResults::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT Standard_Integer IGESAppli_NodalResults::SubCaseNumber | ( |  | ) | const

Standard_EXPORT Standard_Real IGESAppli_NodalResults::Time | ( |  | ) | const

## Field Documentation

Handle_TColStd_HArray2OfReal IGESAppli_NodalResults::theData`[private]`

Handle_TColStd_HArray1OfInteger IGESAppli_NodalResults::theNodeIdentifiers`[private]`

Handle_IGESAppli_HArray1OfNode IGESAppli_NodalResults::theNodes`[private]`

Handle_IGESDimen_GeneralNote IGESAppli_NodalResults::theNote`[private]`

Standard_Integer IGESAppli_NodalResults::theSubCaseNum`[private]`

Standard_Real IGESAppli_NodalResults::theTime`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_NodalResults.hxx